> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nearnode.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Batches

> Retrieve all batches in your organization.

### Query Parameters

<ParamField query="status" type="string">
  Filter by batch status. One of `pending`, `generating`, `ready`, `writing`, `deployed`, `failed`.
</ParamField>

<ParamField query="limit" type="integer" default="50">
  Number of results per page (max 100).
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Pagination offset.
</ParamField>

### Response

<ResponseField name="data" type="array">
  Array of batch objects.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://nearnode.io/api/v1/batches?status=deployed \
    -H "Authorization: Bearer sk_live_..."
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "id": "batch_xyz789...",
        "label": "Q1 2026 Business Cards",
        "prefix": "VID-2026",
        "quantity": 100,
        "function_type": "vcard",
        "status": "deployed",
        "manifest_url": "https://nearnode.io/api/v1/batches/batch_xyz789/manifest",
        "created_at": "2026-01-10T09:00:00Z"
      }
    ],
    "total": 3
  }
  ```
</ResponseExample>
